<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DataList extends Model
{
    use HasFactory;

    protected $guarded = ['id', 'created_at', 'updated_at'];

    /**
     * Get the master that owns the data list.
     */
    public function master()
    {
        return $this->belongsTo(Master::class);
    }

    /**
     * Get the code that owns the data list.
     */
    public function code()
    {
        return $this->belongsTo(Code::class);
    }
}
